package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TNNtinfoHistory;
import com.chinaitop.depot.intelligent.basicdata.model.TNtinfo;

import java.util.List;

public interface GasService {
    List<TNtinfo> getList(String cfCode);

    List<TNNtinfoHistory> getHistoryList(String cfCode, String energy);

    TNtinfo getById(String id);

    void save(String grainJson);

    int deleteById(String id, String basicGasSetJson);

    boolean getBycfCode(String vdevcode, String vdevname);

    /**
     * 保存作业记录
     * @param type
     * @param ktinfoJson
     * @param uperson
     */
    void saveHistoryData(String type, String ktinfoJson, String uperson, Integer energy);

    String synchronizationAll(String orgId);
}
